Bug 107469 - Export to MediaWiki struggles with "fancy" quotes and other characters
Summary: Export to MediaWiki struggles with "fancy" quotes and other characters
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: x86-64 (AMD64) All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MediaWiki
  Show dependency treegraph
 
Reported: 2017-04-27 02:44 UTC by Dejan Nakarada-Kordic
Modified: 2020-09-02 07:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Special characters example (25.50 KB, application/msword)
2017-05-01 01:57 UTC, Dejan Nakarada-Kordic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dejan Nakarada-Kordic 2017-04-27 02:44:52 UTC
Description:
Word replaces stabndard ascii characters with "fancy" ones. 

If I export Word document contining these characters to MediaWiki format fancy hyphens, quotes and apostrophes are converted into wrong characters. 

Hyphen – 
“double quoteâ€
‘single quote’
apostophe’s 


Steps to Reproduce:
1. Create a Word document containing hyphens and quotes. Make sure Word converts them to "fancy" ones 
2. Export to MediaWiki format
3. Open the text files

Actual Results:  
–, ’

Expected Results:
-, "


Reproducible: Always

User Profile Reset: No

Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: TextDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: yes
Builds ID: LibreOffice 5.3.2.2


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko
Comment 1 Buovjaga 2017-04-29 17:29:45 UTC
Please attach such a Word document (not everyone has Microsoft Word for testing).

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 2 Dejan Nakarada-Kordic 2017-05-01 01:57:21 UTC
Created attachment 132982 [details]
Special characters example

Document contains special characters that are incorrectly converted into MediaWiki format.
Comment 3 Dejan Nakarada-Kordic 2017-05-01 01:58:28 UTC
I've supplied an example Word document as requested
Comment 4 Buovjaga 2017-05-01 08:53:53 UTC
Ok, I see what you mean. Let's set to NEW.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.2.2
Build ID: 5.3.2-1
CPU Threads: 8; OS Version: Linux 4.10; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 5 QA Administrators 2018-06-13 02:36:05 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2020-06-13 03:42:48 UTC
Dear Dejan Nakarada-Kordic,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug